Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface SendMailAction

Deprecated. This class should be no longer used within I-BPM

public interface SendMailAction

This interface defines operations by which a timer sends an e-mail message when it expires. All timer operations are controlled through properties with values which can be set at run time through user-defined process attributes. During development, you only need to specify the names of the user-defined process attributes where data values will later be stored.

See Also:
  `ActivityNode`, `EscalateAction`, `Node`, `Plan`, `ScriptAction`, `TimerAction`, `TimerDef`, `TimerStatus`

Method Summary
`java.lang.String` | `getSendMailActionBcc()` Deprecated. Returns the name of the user-defined process attribute that stores the list of e-mail addresses to which the e-mail will be blind-copied.
`java.lang.String` | `getSendMailActionBody()` Deprecated. Returns the name of the user-defined process attribute that stores the content of the e-mail message.
`java.lang.String` | `getSendMailActionCc()` Deprecated. Returns the name of the user-defined process attribute that contains a comma-separated list of e-mail addresses to which the e-mail will be copied.
`java.lang.String` | `getSendMailActionFrom()` Deprecated. Returns the name of the user-defined process attribute that contains the e-mail address from which the e-mail originated.
`java.lang.String` | `getSendMailActionSubject()` Deprecated. Returns the name of the user-defined process attribute that contains the subject line of the e-mail message.
`java.lang.String` | `getSendMailActionTo()` Deprecated. Returns the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.
`void` | `setSendMailActionBcc(java.lang.String bccAtt)` Deprecated. Sets the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be blind-copied.
`void` | `setSendMailActionBody(java.lang.String bodyAtt)` Deprecated. Sets the name of the user-defined process attribute that stores the content of the e-mail message.
`void` | `setSendMailActionCc(java.lang.String ccAtt)` Deprecated. Sets the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be copied.
`void` | `setSendMailActionFrom(java.lang.String fromAtt)` Deprecated. Sets the name of the user-defined process attribute that stores the e-mail address from which the e-mail is sent.
`void` | `setSendMailActionSubject(java.lang.String subjectAtt)` Deprecated. Sets the name of the user-defined process attribute that contains the subject line of the e-mail message.
`void` | `setSendMailActionTo(java.lang.String toAtt)` Deprecated. Sets the name of the user-defined process attribute that stores the list of e-mail addresses to which the e-mail will be sent.

Method Detail

### setSendMailActionFrom

    public void setSendMailActionFrom(java.lang.String fromAtt)
                               throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that stores the e-mail address from which the e-mail is sent.

  Parameters:
    `fromAtt` - The name of the user-defined process attribute that contains the e-mail address from which the e-mail is originated.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the e-mail originator fails.

### getSendMailActionFrom

    public java.lang.String getSendMailActionFrom()
                                           throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that contains the e-mail address from which the e-mail originated.

  Returns:
    The name of the user-defined process attribute that contains the e-mail address from which the e-mail is sent.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains the e-mail originator fails.

### setSendMailActionTo

    public void setSendMailActionTo(java.lang.String toAtt)
                             throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that stores the list of e-mail addresses to which the e-mail will be sent.

  Parameters:
    `toAtt` - The name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the comma-separated list of e-mail recipients fails.

### getSendMailActionTo

    public java.lang.String getSendMailActionTo()
                                         throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.

  Returns:
    The name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.
  Throws:
    `ModelException` - retrieving the name of the user-defined process attribute that contains the comma-separated list of e-mail recipients fails.

### setSendMailActionSubject

    public void setSendMailActionSubject(java.lang.String subjectAtt)
                                  throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that contains the subject line of the e-mail message.

  Parameters:
    `subjectAtt` - The name of the user-defined process attribute that contains the subject line of the e-mail message.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the e-mail subject line fails.

### getSendMailActionSubject

    public java.lang.String getSendMailActionSubject()
                                              throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that contains the subject line of the e-mail message.

  Returns:
    The name of the user-defined process attribute that contains the subject line of the e-mail message.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains the e-mail subject line fails.

### setSendMailActionBody

    public void setSendMailActionBody(java.lang.String bodyAtt)
                               throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that stores the content of the e-mail message.

  Parameters:
    `bodyAtt` - The name of the user-defined process attribute that contains the content of the e-mail message.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the content of the e-mail message fails.

### getSendMailActionBody

    public java.lang.String getSendMailActionBody()
                                           throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that stores the content of the e-mail message.

  Returns:
    The name of the user-defined process attribute that contains the content of the e-mail message.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains the content of the e-mail message fails.

### setSendMailActionCc

    public void setSendMailActionCc(java.lang.String ccAtt)
                             throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be copied.

  Parameters:
    `ccAtt` - the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be copied.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the comma-separated list of e-mail copy recipients fails.

### getSendMailActionCc

    public java.lang.String getSendMailActionCc()
                                         throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that contains a comma-separated list of e-mail addresses to which the e-mail will be copied.

  Returns:
    The name of the user-defined process attribute that contains a comma-separated list of e-mail addresses to which the e-mail will be copied.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains the e-mail copy recipients fails.

### setSendMailActionBcc

    public void setSendMailActionBcc(java.lang.String bccAtt)
                              throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be blind-copied.

  Parameters:
    `bccAtt` - The name of the user-defined process attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be blind-copied.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the comma-separated list of e-mail blind-copy recipients fails.

### getSendMailActionBcc

    public java.lang.String getSendMailActionBcc()
                                          throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that stores the list of e-mail addresses to which the e-mail will be blind-copied.

  Returns:
    The name of the user-defined process attribute that contains a list of e-mail addresses to which the e-mail will be blind-copied.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains a list of e-mail blind-copy recipients fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD